## org.eclipse.datatools.sqltools.editor.contentassist
Class SQLDBProposalsRequest

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.contentassist.SQLDBProposalsRequest

    public class SQLDBProposalsRequest

extends java.lang.Object

Encapsulates all the information used to retrieve database meta data information for content assist.

Author:
  Hui Cao

Constructor Summary
`SQLDBProposalsRequest(java.lang.String tokens, int scope, java.lang.String defaultSchema, ParsingResult result)`

Method Summary
`java.util.List` `getContextTables()` Returns the referenced `org.eclipse.datatools.sqltools.sql.reference.ITable`s.
`java.lang.String` `getDatabase()`
`java.lang.String` `getPrefix()`
`java.lang.String` `getRealTable()` In case getTable() returns the alias name, this method tries to find the real table name.
`java.lang.String` `getSchema()`
`int` `getScope()` Returns the proper scope.
`java.lang.String` `getTable()` Returns the table name prefix, may be partial

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDBProposalsRequest

    public SQLDBProposalsRequest(java.lang.String tokens,
                                 int scope,
                                 java.lang.String defaultSchema,
                                 ParsingResult result)

Method Detail

### getDatabase

    public java.lang.String getDatabase()

### getSchema

    public java.lang.String getSchema()

### getTable

    public java.lang.String getTable()

  Returns the table name prefix, may be partial

  Returns:

### getRealTable

    public java.lang.String getRealTable()

  In case getTable() returns the alias name, this method tries to find the real table name. May equal to getTable()

  Returns:

### getPrefix

    public java.lang.String getPrefix()

### getScope

    public int getScope()

  Returns the proper scope. Note: this might be different with the original input scope.

  Returns:

### getContextTables

    public java.util.List getContextTables()

  Returns the referenced `org.eclipse.datatools.sqltools.sql.reference.ITable`s.

  Returns: